Bug 466023 - API Enhancements -- listActiveSystemsInGroup
API Enhancements -- listActiveSystemsInGroup
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
0.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Red Hat Satellite QA List
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-10-07 14:44 EDT by Brad Buckingham
Modified: 2009-09-17 03:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:01:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Buckingham 2008-10-07 14:44:47 EDT
Description of problem:

Request new API.

listActiveSystemsinGroup
-- Parameters
   string sessionKey
   int "sgid" - server group id
-- Returns
   Array
      Struct
         int "id" - ServerID
         string "Name" - ServerName
         string "last_checkin" - last time server successfully checked in with the server
Comment 1 Brad Buckingham 2008-10-07 14:57:45 EDT
The following API was added in Spacewalk 0.1:

systemgroup.listActiveSystemsInGroup

-- Parameters

   string sessionKey
   string systemGroupName

-- Returns

   array
      int server_id


Unfortunately, we do not currently have a way to retrieve 'last_checkin' information for an individual system; therefore, additional modifications will be needed to complete the enhancement.

May add the last_checkin info to the system.getDetails() or to the new method above.
Comment 2 Brad Buckingham 2008-10-15 14:44:16 EDT
Rather than add name/last_checkin to the listActiveSystemsInGroup, added the following API that can be used to retrieve that additional information, if desired:

Description:
Get system name and last check in information for the given system ID.

Parameters:

    * string sessionKey
    * string serverId

Returns:

    * struct - system
          o int "id"
          o string "name"
          o dateTime.iso8601 "last_checkin" - Last time server successfully checked in
Comment 3 Brad Buckingham 2008-10-15 14:46:19 EDT
commit 9b1e098e7b21bc50634704b62833e388da783e25
Author: Brad Buckingham <bbuckingham@redhat.com>
Date:   Wed Oct 15 14:36:35 2008 -0400

    466023, 466028 - added system.getName api
Comment 4 Devan Goodwin 2008-11-05 12:13:25 EST
listActiveSystemsInGroup, listInactiveSystemsInGroup, and getName all appear operational in spacewalk 0.3. 

Verified.
Comment 5 Miroslav Suchý 2009-09-17 03:01:57 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.